Loading...
Searching...
No Matches
_AtomExpr Union Reference

`#include <openbabel/parsmart.h>`

## Public Attributes

int | type
struct { |
int type |
int value |
} | leaf
struct { |
int type |
void * recur |
} | recur
struct { |
int type |
union _AtomExpr * arg |
} | mon
struct { |
int type |
union _AtomExpr * lft |
union _AtomExpr * rgt |
} | bin

## Detailed Description

An internal (SMARTS parser) atomic expression.

## Member Data Documentation

## type

int type

Referenced by OpenBabel::BuildAtomBin(), OpenBabel::BuildAtomLeaf(), OpenBabel::BuildAtomNot(), OpenBabel::BuildAtomPred(), OpenBabel::CopyAtomExpr(), OBSmartsMatcher::EvalAtomExpr(), OpenBabel::FreeAtomExpr(), OpenBabel::GetChiralFlag(), OpenBabel::GetExprAtomicNum(), and OpenBabel::GetExprCharge().

## value

int value

Referenced by OpenBabel::BuildAtomLeaf(), OpenBabel::BuildAtomPred(), OpenBabel::CopyAtomExpr(), OBSmartsMatcher::EvalAtomExpr(), OpenBabel::GetChiralFlag(), OpenBabel::GetExprAtomicNum(), and OpenBabel::GetExprCharge().

## [struct]

struct { ... } leaf

Referenced by OpenBabel::BuildAtomLeaf(), OpenBabel::BuildAtomPred(), OpenBabel::CopyAtomExpr(), OBSmartsMatcher::EvalAtomExpr(), OpenBabel::GetChiralFlag(), OpenBabel::GetExprAtomicNum(), and OpenBabel::GetExprCharge().

## recur [1/2]

void* recur

Referenced by OpenBabel::BuildAtomRecurs(), OpenBabel::CopyAtomExpr(), OBSmartsMatcher::EvalAtomExpr(), and OpenBabel::FreeAtomExpr().

## [struct] [2/2]

struct { ... } recur

## arg

union _AtomExpr* arg

Referenced by OpenBabel::BuildAtomNot(), OpenBabel::CopyAtomExpr(), OBSmartsMatcher::EvalAtomExpr(), OpenBabel::FreeAtomExpr(), and OpenBabel::GetChiralFlag().

## [struct]

struct { ... } mon

Referenced by OpenBabel::BuildAtomNot(), OpenBabel::CopyAtomExpr(), OBSmartsMatcher::EvalAtomExpr(), OpenBabel::FreeAtomExpr(), and OpenBabel::GetChiralFlag().

## lft

union _AtomExpr* lft

Referenced by OpenBabel::BuildAtomBin(), OpenBabel::CopyAtomExpr(), OBSmartsMatcher::EvalAtomExpr(), OpenBabel::FreeAtomExpr(), OpenBabel::GetChiralFlag(), OpenBabel::GetExprAtomicNum(), and OpenBabel::GetExprCharge().

## rgt

union _AtomExpr* rgt

Referenced by OpenBabel::BuildAtomBin(), OpenBabel::CopyAtomExpr(), OBSmartsMatcher::EvalAtomExpr(), OpenBabel::FreeAtomExpr(), OpenBabel::GetChiralFlag(), OpenBabel::GetExprAtomicNum(), and OpenBabel::GetExprCharge().

## [struct]

struct { ... } bin

Referenced by OpenBabel::BuildAtomBin(), OpenBabel::CopyAtomExpr(), OBSmartsMatcher::EvalAtomExpr(), OpenBabel::FreeAtomExpr(), OpenBabel::GetChiralFlag(), OpenBabel::GetExprAtomicNum(), and OpenBabel::GetExprCharge().

The documentation for this union was generated from the following file:

- parsmart.h